export const POST = 'post';
export const GET = 'get';
export const PUT = 'put';
export const DELETE = 'delete';
export const FORM = 'formData';
export const UPLOAD = 'formField';

export const STORE_REPLACE = '@REPLACE';
export const STORE_UPDATE = '@UPDATE';
export const STORE_LOADING = '@LOADING';
export const STORE_LOADED = '@LOADED';

export const FORM_LAYOUT = '@src/layouts/FormLayout';

export const QuestionDifficult = [{ label: 'easy', value: 'easy' }, { label: 'medium', value: 'medium' }, { label: 'hard', value: 'hard' }];

export const QuestionType = [{ label: 'SC/语法', value: 'sc' }, { label: 'RC/阅读', value: 'rc' }, { label: 'CR/逻辑', value: 'cr' }, { label: 'PS/数学', value: 'ps' }, { label: 'DS/数学', value: 'ds' }, { label: 'IR/综合推理', value: 'ir' }, { label: 'AWA/作文', value: 'awa' }];

export const MoneyRange = [{ label: '0', value: 0 }, { label: '1-1000', value: 1 }, { label: '1000-5000', value: 2 }, { label: '5000-10000', value: 3 }, { label: '10000以上', value: 4 }];

export const AskTarget = [{ label: '题目', value: 'question' }, { label: '官方', value: 'official' }, { label: '千行解析', value: 'qx' }, { label: '题源联想', value: 'association' }];

export const PreviewStatus = [{ label: '全部', value: 0 }, { label: '未开始', value: 1 }, { label: '进行中', value: 2 }, { label: '已结束', value: 3 }];

export const ServiceKey = [{ label: 'VIP', value: 'vip' }, { label: '机经', value: 'textbook' }, { label: '千行CAT', value: 'qx_cat' }];

export const SwitchSelect = [{ value: 0, label: '否' }, { value: 1, label: '是' }];

export const AskStatus = [{ value: 0, label: '新增' }, { value: 1, label: '已回答' }, { value: 2, label: '忽略' }];

export const PrepareStatus = [{ label: '学生-Domestic', value: 'student_domestic' }, { label: '学生-Overseas', value: 'student_overseas' }, { label: '在职-Domestic', value: 'worker_domestic' }, { label: '在职-Overseas', value: 'worker_overseas' }, { label: 'Gap Year', value: 'gap_year' }];

export const PrepareExaminationTime = [{ label: '近1个月', value: 'one_month' }, { label: '近2个月', value: 'two_month' }, { label: '近3个月', value: 'three_month' }, { label: '半年内', value: 'six_month' }];

export const PayModule = [{ label: '服务', value: 'service' }, { label: '课程', value: 'class' }, { label: '资料', value: 'data' }];
